Skip to main content
GET
List Meter Events

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

Unique identifier for a billable metric

Pattern: ^bm_[a-zA-Z0-9]+$

Query Parameters

from
string<date-time>
required

Start of query window (ISO 8601)

to
string<date-time>
required

End of query window (ISO 8601)

subject
string

Filter by subject (typically the customer/user ID)

limit
integer
default:20

Maximum number of events to return

Required range: 1 <= x <= 200
offset
integer
default:0

Number of events to skip

Required range: x >= 0
externalId
string

Filter by external identifier. Alphanumeric characters, hyphens, and underscores only. Optional external identifier for cross-referencing with external systems. Alphanumeric characters, hyphens, and underscores only.

Maximum string length: 255
Pattern: ^[a-zA-Z0-9_-]+$
externalSubject
string

Filter by the merchant's own customer identifier the event was reported with. Optional external identifier for cross-referencing with external systems. Alphanumeric characters, hyphens, and underscores only.

Maximum string length: 255
Pattern: ^[a-zA-Z0-9_-]+$

Response

Raw events list

object
enum<string>
default:list
required
Available options:
list
billableMetricId
string
required

Unique identifier for a billable metric

Pattern: ^bm_[a-zA-Z0-9]+$
events
object[]
required
pagination
object
required

Offset-based pagination response.